Download it now!
Bug 127421 - Export as PDF/EPUB by default on Tabbed bar instead of Export directly as PDF/EPUB
Summary: Export as PDF/EPUB by default on Tabbed bar instead of Export directly as PDF...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.1.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks: Notebookbar-Tabbed
  Show dependency treegraph
 
Reported: 2019-09-07 14:07 UTC by Thiago Sueto
Modified: 2020-05-08 08:46 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thiago Sueto 2019-09-07 14:07:06 UTC
Hybrid PDF is a very powerful functionality that even MSWord does not have, as far as I'm concerned. I don't recall seeing this on SoftmakerOffice, OnlyOffice or WPSOffice either. This is supposedly a feature unique to LibreOffice.

As a translator/proofreader, oftentimes clients send PDF files and the only way to actually translate it would be to open it on a text editor, have the file lose its formatting and then sent to a Computer Assisted Translation tool. When proofreading, either the proofreader opens it on a text editor, uses Track Changes and then sends it back to the client without the original formatting, or each correction is made with a PDF reader annotation tool. In addition, typically the user does not have the original file. Hybrid PDF would solve such issues.

I would like to see features like this being more discoverable to the end user. On the new Tabbed bar (which should be attractive to MSWord converts), I think the buttons Export as PDF/EPUB should be there by default instead of Export Directly as PDF/EPUB. Especially since the functionality provided by Export Directly is literally the second dialog shown in Export as.
Comment 1 V Stuart Foote 2019-09-07 18:26:22 UTC
The DirectTo commands were added to toolbars and the MUFFIN Notebook Bar specifically to by-pass their export dialog(s).

.uno:ExportDirectToPDF
.uno:ExportDirectlyToEPUB

commands provided as alternatives to the

.uno:ExportToPDF
.uno:ExportToEPUB

commands which will always launch the dialog.  

We already can customize the toolbars, menus, context menus, and even assign short-cuts to any of themn (via Tools -> Customize).

Also, the DirectTo commands pick up the Export dialog's configuration as recorded to user profile--and so are statefull allowing you to set your export preferences, e.g. Compression Tagging, or the use of the Hybrid  PDF (which appends the ODF archive into the PDF).

Do your first export using the dialog, subsequent will pick up any changes from defaults from your profile.

Given that, prefer to keep the button actions linked to the DirectTo commands.

IMHO => WF
Comment 2 V Stuart Foote 2019-09-07 18:29:37 UTC
Should note that bug 83392 is alredy open to interactively allow access to the configuration dialog on the DirectTo exports. And that is the other way this could be addressed without changing to use the dialog by default.
Comment 3 Heiko Tietze 2019-09-08 08:20:17 UTC
Andreas, what do you think? Maybe a dropdown button with default of uno:ExportDirectToPDF expanded to the alternatives.
Comment 4 andreas_k 2019-09-08 08:32:48 UTC
It's no problem to add 

.uno:ExportToPDF
.uno:ExportToEPUB

to the NB's I only add the 

.uno:ExportDirectToPDF
.uno:ExportDirectlyToEPUB

commands cause they where used in the standard toolbar, but I will add both the question is only if we should show DirectToPDF or the dialog with settings? As Detault toolbar show DirectTo I suggest to have als DirectTo in NB. In addition for an average user it's ok to have an pdf and for the other users you can choose customize.
Comment 5 Heiko Tietze 2019-09-19 11:52:56 UTC
(In reply to andreas_k from comment #4)
> the question is only if we should show DirectToPDF or the dialog with
> settings

The request here is to show the dialog as it provides the hybrid feature. And I asked you whether you want to switch from direct to dialog.

Pro: 
* Promote hybrid feature
* Provide all options, so it's more conservative
=> go for it, ASSIGN

Con:
* Average user doesn't care and wants to quickly export to PDF
=> resolve as WFM

I recommend to not have both options as it adds confusion and clutter to the NB.
Comment 6 Commit Notification 2020-05-07 07:36:01 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c437948f6c0d602bb200fc92e80cb73ae8ae5109

tdf#127421 Export and Export Direct are now available in NB customize

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.